## GstFFT

GstFFT — General FFT functions and declarations

## Functions

gint | gst_fft_next_fast_length ()

## Types and Values

enum | GstFFTWindow

## Includes

    #include <gst/fft/fft.h>

## Description

This library includes general definitions and functions, useful for all typed FFT classes.

## Functions

### gst_fft_next_fast_length ()

    gint
    gst_fft_next_fast_length (gint n);

Returns the next number to `n` that is entirely a product of 2, 3 and 5. Using this as the `len` parameter for the different GstFFT types will provide the best performance.

#### Parameters

n | Number for which the next fast length should be returned |

#### Returns

the next fast FFT length.

## Types and Values

### enum GstFFTWindow

The various window functions available.

#### Members

GST_FFT_WINDOW_RECTANGULAR | Rectangular window |
GST_FFT_WINDOW_HAMMING | Hamming window |
GST_FFT_WINDOW_HANN | Hann (sometimes also called Hanning) window |
GST_FFT_WINDOW_BARTLETT | Bartlett window |
GST_FFT_WINDOW_BLACKMAN | Blackman window |